
Redmine - Defect #16255

Internal Error for specific version of non-existent wiki page

2014-03-06 12:06 - Björn Peemöller

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 2.5.1   

Resolution: Fixed Affected version: 2.4.4

Description

Hi,

tonight the YandexBot visited our Redmine installation and queried for the first version of a non-existing wiki page (for whatever

reaseon). The URL it requested looked like

https://redmine.server.de/projects/myproject/wiki/DoestNotExist?version=1

 The same occurs for

https://redmine.server.de/projects/myproject/wiki/DoestNotExist/1

 The exact error is

NoMethodError: undefined method `versions' for nil:NilClass

app/models/wiki_page.rb:107 content_for_version

app/controllers/wiki_controller.rb:69 show

...

 Our environment is

Environment:

  Redmine version                2.4.4.stable

  Ruby version                   2.0.0-p353 (2013-11-22) [x86_64-linux]

  Rails version                  3.2.17

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Subversion                     1.6.17

  Mercurial                      2.2.2

  Git                            1.7.10.4

  Filesystem                     

Redmine plugins:

  redmine_wiki_extensions        0.6.4

 Although this is not a big issue, I would like Redmine to return a 404 error instead.

Associated revisions

Revision 12971 - 2014-03-15 12:41 - Jean-Philippe Lang

Fixed that requesting a specific version of a non-existent wiki page raises an error (#16255).

Revision 12979 - 2014-03-17 09:30 - Jean-Philippe Lang

Merged r12971 (#16255).

History

#1 - 2014-03-12 09:27 - Björn Peemöller

Today I could reproduce this bug with Redmine 2.5.0.

#2 - 2014-03-15 12:41 - Jean-Philippe Lang
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.1

- Resolution set to Fixed

Fixed in r12971, thanks for pointing this out.

#3 - 2014-03-17 09:30 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
